Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1880697 - Review Request: python-mechanicalsoup - Python library for automating interaction with websites
Summary: Review Request: python-mechanicalsoup - Python library for automating interac...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andy Mender
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1880701
TreeView+ depends on / blocked
 
Reported: 2020-09-19 03:25 UTC by Fabian Affolter
Modified: 2020-09-27 00:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-27 00:16:25 UTC
Type: ---
andymenderunix: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-09-19 03:25:53 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-mechanicalsoup.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-mechanicalsoup-0.12.0-1.fc32.src.rpm

Project URL: https://mechanicalsoup.readthedocs.io

Description:
MechanicalSoup automatically stores and sends cookies, follows redirects,
and can follow links and submit forms. It doesn't do JavaScript.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=51789664

rpmlint output:
$ rpmlint python-mechanicalsoup-0.12.0-1.fc32.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python3-mechanicalsoup-0.12.0-1.fc32.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Fedora Account System Username: fab

Comment 1 Andy Mender 2020-09-19 20:57:08 UTC
Very nice. Package approved!

Full review below:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package must not depend on deprecated() packages.
  Note: python3-pytest4 is deprecated, you must not depend on it.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/deprecating-packages/
  Review: and the package doesn't. please, ignore this warning.


===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 40 files have unknown
     license. Detailed output of licensecheck in
     /home/amender/rpmbuild/SPECS/python-mechanicalsoup/python-
     mechanicalsoup/licensecheck.txt
     Review: Expat License means "MIT" so everything in order.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[?]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-mechanicalsoup
     Review: this warning seems bogus.    
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: python3-mechanicalsoup-0.12.0-1.fc34.noarch.rpm
          python-mechanicalsoup-doc-0.12.0-1.fc34.noarch.rpm
          python-mechanicalsoup-0.12.0-1.fc34.src.rpm
python-mechanicalsoup-doc.noarch: W: summary-not-capitalized C mechanicalsoup documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
(none): E: no installed packages by name python3-mechanicalsoup
(none): E: no installed packages by name python-mechanicalsoup-doc
0 packages and 0 specfiles checked; 0 errors, 0 warnings.



Source checksums
----------------
https://github.com/MechanicalSoup/MechanicalSoup/archive/v0.12.0/mechanicalsoup-0.12.0.tar.gz :
  CHECKSUM(SHA256) this package     : 6a922e888451afac527d5c3015a89a8dc307870d79b7b47f57838a8e949737c9
  CHECKSUM(SHA256) upstream package : 6a922e888451afac527d5c3015a89a8dc307870d79b7b47f57838a8e949737c9


Requires
--------
python3-mechanicalsoup (rpmlib, GLIBC filtered):
    python(abi)
    python3.9dist(beautifulsoup4)
    python3.9dist(lxml)
    python3.9dist(requests)
    python3.9dist(six)

python-mechanicalsoup-doc (rpmlib, GLIBC filtered):



Provides
--------
python3-mechanicalsoup:
    python-mechanicalsoup
    python3-mechanicalsoup
    python3.9-mechanicalsoup
    python3.9dist(mechanicalsoup)
    python3dist(mechanicalsoup)

python-mechanicalsoup-doc:
    python-mechanicalsoup-doc

Comment 2 Fabian Affolter 2020-09-22 06:29:21 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2020-09-22 13:17:52 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-mechanicalsoup

Comment 4 Fedora Update System 2020-09-22 16:40:04 UTC
FEDORA-2020-d07e0be283 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d07e0be283

Comment 5 Fedora Update System 2020-09-23 15:26:29 UTC
FEDORA-2020-d07e0be283 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-d07e0be283 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d07e0be283

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-09-27 00:16:25 UTC
FEDORA-2020-d07e0be283 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.